Subject: bug#13544: (web http) fails to parse numeric timezones in Date header

From: Daniel Hartwig <[email-masked]>
Date: Fri, 15 Mar 2013 15:17:05 +0800

On 15 March 2013 15:08, Daniel Hartwig <[email-masked]> wrote:
> Ludo’s patch can be applied with support for arbitrary timezones
> removed.

Actually, Appendix C (RFC 2616) recommends converting non-GMT tz to GMT:

 If an HTTP header incorrectly carries a date value with a time
 zone other than GMT, it MUST be converted into GMT using the most
 conservative possible conversion.